﻿<Window xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"  x:Class="WpfUI.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d"
        xmlns:views="clr-namespace:WpfUI.Views"
        xmlns:viewmodels="clr-namespace:WpfUI.ViewModels"
        xmlns:employeeviewmodels="clr-namespace:WpfUI.ViewModels.EmployeeViewModels"
        xmlns:serviceviewmodels="clr-namespace:WpfUI.ViewModels.ServiceViewModels"
        xmlns:siteviewmodels="clr-namespace:WpfUI.ViewModels.SiteViewModels"
        xmlns:userviewmodels="clr-namespace:WpfUI.ViewModels.UserViewModels"
        xmlns:components="clr-namespace:WpfUI.Components" 
        xmlns:employeeComponents="clr-namespace:WpfUI.Components.EmployeeComponents"
        xmlns:serviceComponents="clr-namespace:WpfUI.Components.ServiceComponents"
        xmlns:siteComponents="clr-namespace:WpfUI.Components.SiteComponents"
        xmlns:userComponents="clr-namespace:WpfUI.Components.UserComponents"
        xmlns:custom="clr-namespace:ModalControl;assembly=ModalControl"
        d:DataContext="{d:DesignInstance Type=viewmodels:MainViewModel}"
        Title="MainWindow" Height="450" Width="800"
        FocusManager.FocusedElement="{Binding ElementName = Layout}">
    <Grid>
        <Grid.Resources>
            <DataTemplate DataType="{x:Type viewmodels:HomeViewModel}">
                <views:HomeView/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type viewmodels:EmployeeListViewModel}">
                <views:EmployeeListView/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type viewmodels:ServiceListViewModel}">
                <views:ServiceListView/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type viewmodels:SiteListViewModel}">
                <views:SiteListView/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type userviewmodels:UserListViewModel}">
                <views:UserListView/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type viewmodels:LayoutViewModel}">
                <components:Layout Focusable="True"/>
            </DataTemplate>

            <DataTemplate DataType="{x:Type employeeviewmodels:AddEmployeeViewModel}">
                <employeeComponents:AddEmployee />
            </DataTemplate>

            <DataTemplate DataType="{x:Type employeeviewmodels:EditEmployeeViewModel}">
                <employeeComponents:EditEmployee />
            </DataTemplate>

            <DataTemplate DataType="{x:Type employeeviewmodels:DeleteEmployeeViewModel}">
                <employeeComponents:DeleteEmployee />
            </DataTemplate>

            <DataTemplate DataType="{x:Type serviceviewmodels:AddServiceViewModel}">
                <serviceComponents:AddService />
            </DataTemplate>

            <DataTemplate DataType="{x:Type serviceviewmodels:EditServiceViewModel}">
                <serviceComponents:EditService />
            </DataTemplate>

            <DataTemplate DataType="{x:Type serviceviewmodels:DeleteServiceViewModel}">
                <serviceComponents:DeleteService />
            </DataTemplate>

            <DataTemplate DataType="{x:Type siteviewmodels:AddSiteViewModel}">
                <siteComponents:AddSite />
            </DataTemplate>

            <DataTemplate DataType="{x:Type siteviewmodels:EditSiteViewModel}">
                <siteComponents:EditSite />
            </DataTemplate>

            <DataTemplate DataType="{x:Type siteviewmodels:DeleteSiteViewModel}">
                <siteComponents:DeleteSite />
            </DataTemplate>

            <DataTemplate DataType="{x:Type userviewmodels:AddUserViewModel}">
                <userComponents:AddUser />
            </DataTemplate>

            <DataTemplate DataType="{x:Type userviewmodels:EditUserViewModel}">
                <userComponents:EditUser />
            </DataTemplate>

            <DataTemplate DataType="{x:Type userviewmodels:DeleteUserViewModel}">
                <userComponents:DeleteUser />
            </DataTemplate>

            <DataTemplate DataType="{x:Type viewmodels:LoginViewModel}">
                <components:Login />
            </DataTemplate>

        </Grid.Resources>


        <!--<components:Login Visibility="{Binding IsLoggedIn, Converter={StaticResource InverseBoolToVisConverter}}" />-->

        <custom:Modal Panel.ZIndex="1" IsOpen="{Binding IsOpen}">
            <ContentControl Content="{Binding CurrentModalViewModel}" />
        </custom:Modal>

        <ContentControl Content="{Binding CurrentViewModel}" />
        <!--<ContentControl Content="{Binding CurrentViewModel}" Visibility="{Binding IsLoggedIn, Converter={StaticResource BooleanToVisibilityConverter}}" />-->
    </Grid>
</Window>
